Git + Eclipse: 401 Несанкционированная ошибка

У меня есть git repo на моей rasperry pi, с Apache.
Я использую git + smart http: от клиента Linux, используя терминал, все работает нормально.
Например, я могу клонировать репо с помощью команды:

git clone http://address:8080/git/repo_name

После ввода имени пользователя и пароля он работает.

Но, если я хочу клонировать репо с помощью Eclipse, он показывает эту ошибку:

введите описание изображения здесь

Это журнал ошибок apache:

[Wed Sep 28 12:33:13.321726 2016] [negotiation:error] [pid 28020] [client 131.114.176.222:37524] AH00690: no acceptable variant: /usr/share/httpd/error/HTTP_UNAUTHORIZED.html.var

И это моя конфигурация apache (о git и smart http):

<Directory "/usr/lib/git-core*">
   Options ExecCGI Indexes
   Order allow,deny
   Allow from all
   Require all granted
</Directory>

<LocationMatch "^/.*/git-receive-pack$">
    Options +ExecCGI
    AuthType Basic
    AuthName "Git Login"
    AuthUserFile /srv/git/.git-auth-file
    Require valid-user
</LocationMatch>

<LocationMatch "^/.*/git-upload-pack$">
    Options +ExecCGI
    AuthType Basic
    AuthName "Git Login"
    AuthUserFile /srv/git/.git-auth-file
    Require valid-user
</LocationMatch>

SetEnv GIT_PROJECT_ROOT /srv/git
SetEnv GIT_HTTP_EXPORT_ALL
ScriptAlias /git/ /usr/lib/git-core/git-http-backend/

Есть идеи?

PS: Я использую

  • Eclipse Java EE IDE для веб-разработчиков. Версия: Neon Release (4.6.0) Код сборки: 20160613-1800

  • EGit 4.4.0.20160607

eclipse,git,apache,eclipse-plugin,smart-http,

3

Ответов: 1


3

Я столкнулся с одной и той же проблемой, я прочитал, что это ошибка eclipse, происходит исправление https://git.eclipse.org/r/#/c/82187/ .

На данный момент вы можете исправить проблему установки «EPP MArketplace Client». В своем затмении нажмите «Справка» -> «Установить новое программное обеспечение» и поместите следующий URL-адрес: http://download.eclipse.org/mpc/releases/1.5.2/ , затем установите.

затмение, мерзавец, апач, затмение-плагин, смарт-клиент,
Похожие вопросы